summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorChristian Pointner <equinox@spreadspace.org>2015-09-24 15:50:13 (GMT)
committerChristian Pointner <equinox@spreadspace.org>2015-09-24 15:50:13 (GMT)
commit5ad1a16fbdfaf12199db58be34eb0a8f8942a841 (patch)
tree18a76d706649447e4297cdd8196dd43a19f21676 /test
parenta81237953717a6d0cf15e8cb0c2692e199c920d3 (diff)
documentated cart ranges
add some constants for cart ranges implemented functions for cart ranges
Diffstat (limited to 'test')
-rwxr-xr-xtest/get-range52
1 files changed, 52 insertions, 0 deletions
diff --git a/test/get-range b/test/get-range
new file mode 100755
index 0000000..13e5533
--- /dev/null
+++ b/test/get-range
@@ -0,0 +1,52 @@
+#!/usr/bin/perl -w
+#
+# rhrdlibs
+#
+# Copyright (C) 2015 Christian Pointner <equinox@helsinki.at>
+#
+# This file is part of rhrdlibs.
+#
+# rhrdlibs is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# any later version.
+#
+# rhrdlibs is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with rhrdlibs. If not, see <http://www.gnu.org/licenses/>.
+#
+
+use strict;
+use lib "../lib/";
+
+use RHRD::rddb;
+
+my ($dbh, undef, $errorstring) = RHRD::rddb::opendb();
+if(defined $dbh) {
+ print "Shows:\n";
+ my ($low_cart, $high_cart, $chunk_size) = RHRD::rddb::get_shows_cart_range($dbh);
+ if(!$low_cart) {
+ print "$high_cart: $chunk_size\n";
+ } else {
+ print "Range: " . $low_cart . " - " . $high_cart . ", chunk size: " . $chunk_size . "\n";
+ }
+
+ print "\nMusic Pools:\n";
+ ($low_cart, $high_cart, $chunk_size) = RHRD::rddb::get_musicpool_cart_range($dbh);
+ if(!$low_cart) {
+ print "$high_cart: $chunk_size\n";
+ } else {
+ print "Range: " . $low_cart . " - " . $high_cart . ", chunk size: " . $chunk_size . "\n";
+ }
+
+ RHRD::rddb::closedb($dbh);
+} else {
+ print STDERR "$errorstring\n";
+ exit 1;
+}
+
+exit 0